/**
 * 
 */
package org.richfaces.event.extdt;

import javax.faces.component.UIComponent;
import javax.faces.event.FacesEvent;
import javax.faces.event.FacesListener;

/**
 * @author pawelgo
 *
 */
public class ExtTableSortEvent extends FacesEvent {

	private static final long serialVersionUID = 2971879679208358501L;

	public ExtTableSortEvent(UIComponent uiComponent) {
		super(uiComponent);
	}

	/* (non-Javadoc)
	 * @see javax.faces.event.FacesEvent#isAppropriateListener(javax.faces.event.FacesListener)
	 */
	//@Override
	public boolean isAppropriateListener(FacesListener faceslistener) {
		return (faceslistener instanceof ExtTableSortListener);
	}

	/* (non-Javadoc)
	 * @see javax.faces.event.FacesEvent#processListener(javax.faces.event.FacesListener)
	 */
	//@Override
	public void processListener(FacesListener faceslistener) {
		((ExtTableSortListener)faceslistener).processSort(this);

	}

}
